std::pointer_to_binary_function(3)

NAME
std::pointer_to_binary_function -

SYNOPSIS

Inherits binary_function< _Arg1, _Arg2, _Result >.

Detailed Description

  template<class _Arg1, class _Arg2, class _Result> class std::pointer_to_binary_function< _Arg1, _Arg2, _Result >

Definition at line 505 of file stl_function.h.

  Public Types
typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

  Public Member Functions
_Result operator() (_Arg1 __x, _Arg2 __y) const
pointer_to_binary_function (_Result(*__x)(_Arg1, _Arg2))
pointer_to_binary_function ()

  Protected Attributes
_Result(* _M_ptr )(_Arg1, _Arg2)

Member Typedef Documentation

  typedef _Arg1 first_argument_type [inherited]

the type of the first argument

Definition at line 116 of file stl_function.h.

  typedef _Result result_type [inherited]

type of the return type

Reimplemented in _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 120 of file stl_function.h.

  typedef _Arg2 second_argument_type [inherited]

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.